ReadOption (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs, enum: ReadOption

Package org.apache.hadoop.fs

# Enum Class ReadOption

java.lang.Object
java.lang.Enum<ReadOption>
org.apache.hadoop.fs.ReadOption

All Implemented Interfaces:
  `Serializable`, `Comparable<ReadOption>`, `Constable`

@Public @Stable public enum ReadOption extends Enum<ReadOption>
Options that can be used when reading from a FileSystem.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SKIP_CHECKSUMS`
  Skip checksums when reading.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ReadOption`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ReadOption[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SKIP_CHECKSUMS

    public static final ReadOption SKIP_CHECKSUMS
    Skip checksums when reading. This option may be useful when reading a file format that has built-in checksums, or for testing purposes.

- ## Method Details

  - ### values

    public static ReadOption[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ReadOption valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null